Package uk.ac.starlink.topcat

# Interface TopcatToolAction

All Superinterfaces:
  `Action`, `ActionListener`, `EventListener`

All Known Implementing Classes:
  `DemoToolAction`, `TopcatWindowAction`

public interface TopcatToolAction extends Action
Defines an action which will appear on the TOPCAT tool bar. As well as implementing this interface, such actions must have a public no-arg constructor. See the `DemoToolAction` class for an example implementation.

Since:
  27 Sep 2011
Author:
  Mark Taylor

## Field Summary

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Method Summary

Modifier and Type
Method
Description
`void`
`setParent(Component parent)`
Sets the parent component.

### Methods inherited from interface javax.swing.Action

`accept, addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from interface java.awt.event.ActionListener

`actionPerformed`

## Method Details

### setParent

void setParent(Component parent)
Sets the parent component. This may be used when placing any windows associated with this action. This method will normally be called once, after construction and before the action is invoked.

Parameters:
  `parent` - parent component